alien (8.95.5~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Aug 2021 15:08:30 -0400

alien (8.95.5) unstable; urgency=medium

  * QA upload.
  * Alien/Package/Deb.pm: Do not fail when dh_usrlocal returns
    with nonzero value. A warning (shown in --veryverbose)
    is generated instead. (Closes: #992188)

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Aug 2021 01:14:58 -0400

alien (8.95.4) unstable; urgency=high

  * QA upload.
  * Alien/Package/Deb.pm: Fix incorrect debian/rules template by
    properly escaping special characters (dh \$\@ instead of dh $@).
    Closes: #983492.
  * Alien/Package/Deb.pm: Fix incorrect file installation path.
    This fixes the bug in manual override_dh_auto_install that files
    are placed under / instead of /usr/ (default prefix).
    Closes: #985835.
  * Alien/Package/Rpm.pm: Also map aarch64 in rpm to arm64 in deb.
    This fixes conversion of aarch64 rpm packages.
    Closes: #985808.

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Apr 2021 12:15:06 -0400

alien (8.95.3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Thu, 11 Feb 2021 22:02:09 +0200

alien (8.95.2) experimental; urgency=medium

  * QA upload.
  * debian/control:
      + Bump debhelper compat to v13.
      + Included Rules-Requires-Root: no
  * debian/changelog:
      + Removed trailing-whitespaces.
  * alien.pl:
      + Fixed some misspelled words.
  * Alien/Package.pm:
      + Fixed misspelled word.
  * Alien/Package/Rpm.pm:
      + Fixed misspeled word.
  * debian/rules:
      + Added a "nocheck" check on override_dh_auto_test.

 -- Thiago da Silva Gracini <tsgracini@outlook.com>  Sun, 01 Nov 2020 15:35:34 -0300

alien (8.95.1) experimental; urgency=medium

  * QA upload.
  * Rebuild source and binary package.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.5.0.
    + Update Vcs-* fields to use git packaging repo under Salsa
      Debian group.
  * Rpm.pm: Do not ship conflicting dirs. (Closes: #759533)
  * Deb.pm:
    + Use dh sequencer when generating deb packages.
    + Bump supported debhelper compatibility level to v10.

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Mar 2020 10:52:19 -0400

alien (8.95) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Removed duplicated section field.
  * debian/copyright:
      - Replaced protocol from http to https in the Format field.
      - Included authors' e-mail addresses.
      - Replaced GPL-2+ license reference by actual GPL-2+ license.
  * debian/source/format: Created as 3.0 (native).

 -- Fabiano Antunes <fabianoantunes@itgen.com.br>  Thu, 10 Sep 2015 17:09:04 -0300

alien (8.94) unstable; urgency=medium

  * QA upload.
  * Fix "FTBFS with perl 5.22 in experimental (MakeMaker changes)":
    remove override_dh_auto_install in debian/rules, and
    use DESTDIR in Makefile.PL.
    (Closes: #792371)

 -- gregor herrmann <gregoa@debian.org>  Sat, 25 Jul 2015 21:24:15 +0200

alien (8.93) unstable; urgency=medium

  * Alien needs a new maintainer, both in Debian and upstream.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Nov 2014 17:25:47 -0400

alien (8.92) unstable; urgency=medium

  * Remove suggests for lsb-rpm, which no longer exists.
    Closes: #756873

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Aug 2014 14:16:23 -0700

alien (8.91) unstable; urgency=medium

  * Support other deb data.tar compression schemes in fallback code.
    Closes: #718364
    Thanks, Guillem Jover

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jun 2014 12:03:54 -0400

alien (8.90) unstable; urgency=medium

  * Add --target=<arch> option for setting architecture. Closes: #260948
    (Thanks, Teemu Ikonen)
  * Add conversion from ppc64le (rpm) to ppc64el (deb).
  * debhelper v9

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Feb 2014 11:59:07 -0400

alien (8.89) unstable; urgency=low

  * Correct man page to say RPMBUILDOPT (not RPMBUILDOPTS). Closes: #701106
  * Handle whitespace in path to RPMs. Closes: #719776
    (Thanks, Christopher Huhn)

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Aug 2013 21:53:44 -0400

alien (8.88) unstable; urgency=low

  * Ensure that version numbers begin with well, a number, when building a
    deb, otherwise dpkg-deb will refuse to build it.

 -- Joey Hess <joeyh@debian.org>  Thu, 09 Aug 2012 14:44:49 -0400

alien (8.87) unstable; urgency=low

  * Use lsb-rpmbuild, not lsb-rpm. Closes: #667044
  * Fix adding of postinst script to deb, containing rpm permissions
    fixups code. Closes: #667651

 -- Joey Hess <joeyh@debian.org>  Thu, 05 Apr 2012 13:53:29 -0400

alien (8.86) unstable; urgency=low

  * Filter out illegal characters in version number when building a deb.
    Closes: #648531

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Nov 2011 13:12:35 -0400

alien (8.85) unstable; urgency=low

  * Avoid breaking on spaces in filenames. Closes: #618636

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Jun 2011 15:43:49 -0400

alien (8.84) unstable; urgency=low

  * Silence error message when deleting build tree after making an rpm,
    if rpmbuild has already deleted it. Closes: #622846
  * Squash an uninitialized value when creating a deb.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Apr 2011 14:13:20 -0400

alien (8.83) unstable; urgency=low

  * Correct handling of arch all packages in deb arch check. Closes: #596209

 -- Joey Hess <joeyh@debian.org>  Thu, 09 Sep 2010 08:24:58 -0400

alien (8.82) unstable; urgency=low

  * Use debhelper compat level v7 when building packages. All changes
    since v4 seem safe for alien's generated rules files.
  * Use dh_prep instead of deprecated dh_clean -k.
  * Print a nice error message when attempting to build a deb from a package
    of an unsupported architecture. Closes: #592625

 -- Joey Hess <joeyh@debian.org>  Mon, 30 Aug 2010 17:04:24 -0400

alien (8.81) unstable; urgency=low

  * Avoid uninitialized value warning when debian/rules fails to run
    due to alien being run in a noexec directory. Closes: #579216
  * Prevent DESTROY stomping on alien's exit code sometimes.
  * Support extracting lzma compressed RPMs.
    (Patch by unnamed person on some bug tracking system I don't frequent.)
  * Suggest lzma. If not installed, alien will still fail to decompress
    RPMs using it, but will support most rpms, which are not.
  * Fix precedence problem that prevented alien from preserving permissions
    of suid/sgid binaries that are not owned by root.
    (Patch by Duane Waddle, on a bug tracking system I don't frequent, that
    was about the "expire" it 4 days from now. We got lucky Duane, but please
    use the Debian BTS next time!)
  * Support RPMs containing ghost files.
    (Patch by Ben Webb, who would get his patches applied quicker if he
    actually communicated them to the program's author.)

 -- Joey Hess <joeyh@debian.org>  Mon, 17 May 2010 20:56:59 -0400

alien (8.80) unstable; urgency=low

  * Support querying rpm LICENSE field. (Alexey Khoroshilov)

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Apr 2010 15:44:52 -0400

alien (8.79) unstable; urgency=low

  * Typo. Closes: #554379
  * Modify -g and -s to support running on multiple packages at once.
    Closes: #554404
  * Removed all built-in patches for converting specific packages
    (j2sdk, jdk, lgtoclnt, motif) with alien. These were out of date,
    and not maintained. Alien will not include such patches going forward.
  * Depend on the new rpm2cpio package. Closes: #559061

 -- Joey Hess <joeyh@debian.org>  Tue, 01 Dec 2009 13:23:55 -0500

alien (8.78) unstable; urgency=low

  * Add support for rpm 4.7.0, which ignores the buildroot setting in the
    spec file, by passing --buildroot. (Thanks, Pavel Roskin)

 -- Joey Hess <joeyh@debian.org>  Wed, 08 Jul 2009 13:53:05 -0400

alien (8.77) unstable; urgency=low

  * Don't allow whitespace in package version when parsing debian/changelog.
  * In rpm permission fixup code, avoid processing symlinks since that
    would result in the file the link points to being "fixed". Closes: #535586

 -- Joey Hess <joeyh@debian.org>  Mon, 06 Jul 2009 13:37:01 -0400

alien (8.76) unstable; urgency=low

  * Avoid using hostname -f for portability to unix systems,
    such as Solaris, where any options _set_ the hostname.
  * Fix bash shebang and recognise bash scripts as editable
    shell scripts when converting to deb. Closes: #532330
    (Thanks, Bruce Stephens)

 -- Joey Hess <joeyh@debian.org>  Mon, 08 Jun 2009 13:22:35 -0400

alien (8.75) unstable; urgency=low

  * Simplified rules file.
  * Modify maintainer scripts from rpm files to use /bin/bash rather
    than /bin/sh. Many such scripts are only tested on systems where /bin/sh
    is bash, and contain bashisms, which can cause trouble when converting
    the rpm to be used on eg, the Debian family of distributions, where
    /bin/sh can legitimatly be dash. Closes: #495971

 -- Joey Hess <joeyh@debian.org>  Wed, 06 May 2009 17:22:02 -0400

alien (8.74) unstable; urgency=low

  * Support bzipped and uncompressed tar files, using tar's auto-compression
    detection. (Requires gnu tar 1.14.91)
  * pod fixes

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Feb 2009 19:51:54 -0500

alien (8.73) unstable; urgency=low

  * Fix pkg generation to not include /prototype in all packages.
    (Kim Bisgaard)

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Oct 2008 23:43:47 -0400

alien (8.72) unstable; urgency=low

  * Use debhelper 7, rules file minimisation.
  * Improve parsing of tgz filenames, to avoid confusion when the filename
    includes the package type (ie, "noarch"). Patch from Andrej Ricnik-Bay.
  * When generating a debian changelog file, work around bug #478925 by
    including the alien changelog text inside the debian changelog entry.

 -- Joey Hess <joeyh@debian.org>  Thu, 01 May 2008 15:40:34 -0400

alien (8.71) unstable; urgency=low

  * Deal with rpms that relocate ie, /usr into /usr/local, and don't
    try to move /usr into /usr/local in this case. Closes: #470905

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Mar 2008 13:35:33 -0400

alien (8.70) unstable; urgency=low

  * Extract prefixes field before extracting scripts so that
    RPM_INSTALL_PREFIX gets set.

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Mar 2008 11:05:40 -0400

alien (8.69) unstable; urgency=low

  * Alien's repository has moved from subversion to git.
  * Minor improvement to debian/rules clean.
  * Improve the short description.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 20:27:53 -0400

alien (8.68) unstable; urgency=low

  * Show output of installation of package with -i, since some packages
    install scripts may have important output or even be interactive.
    Closes: #425732

 -- Joey Hess <joeyh@debian.org>  Thu, 24 May 2007 14:08:39 -0400

alien (8.67) unstable; urgency=low

  * Update the url to the web page, and remove several other broken urls from
    the README.
  * Correct a bug that caused alien to ignore failing commands. Closes: #424858

 -- Joey Hess <joeyh@debian.org>  Thu, 17 May 2007 13:34:36 -0400

alien (8.66) unstable; urgency=low

  * Use date -R as 822-date will soon be deprecated.

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Mar 2007 17:45:24 -0400

alien (8.65) unstable; urgency=low

  * Fix alien's own spec file, s/Copyright/License/.
  * Add support for rpm scripts that use RPM_INSTALL_PREFIX, by setting
    RPM_INSTALL_PREFIX as part of the converted script. Closes: #400863
  * When converting LSB packages, do not increment the release number.
  * Use rpmbuild to build lsb packages, not rpm, if lsb-rpm is not available.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Dec 2006 13:46:38 -0500

alien (8.64) unstable; urgency=low

  * Minor improvement to usage message as reported in [some random blog
    somewhere that I happened to read by accident].

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Mar 2006 12:51:45 -0500

alien (8.63) unstable; urgency=low

  * Correct code to properly use RPMBUILDOPT (not RPMBUILDOPTS). Closes: #352816
  * Corrected fix for bug #352810 to look at and chmod the right directories.
    Closes: #352810

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Feb 2006 13:28:22 -0500

alien (8.62) unstable; urgency=low

  * Fix a bug in conffile script extraction from tgz files (caused by return
    from runpipe not defaulting to a scalar).

 -- Joey Hess <joeyh@debian.org>  Thu,  2 Feb 2006 15:12:51 -0500

alien (8.61) unstable; urgency=low

  * Add em64t as another alias for amd64.
  * Makefile.PL fix for new make line wrapping.

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Jan 2006 13:37:07 -0500

alien (8.60) unstable; urgency=low

  * Make cpio leading directory permission fixup code work with new cpio
    default permissions too. Closes: #340588

 -- Joey Hess <joeyh@debian.org>  Sun, 27 Nov 2005 17:02:41 -0500

alien (8.59) unstable; urgency=low

  * Hmm, seems rpm renamed Copyright to License and fails w/o the new field.
    Fix.

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Nov 2005 11:26:35 -0500

alien (8.58) unstable; urgency=low

  * Remove Copyright: from generated alien spec file since for some reason
    rpm has obsoleted and begun falling over on that line. (Inert profanity
    here.) Closes: #337028
  * debian/copyright verbosification patch from tbm. Closes: #337363

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Nov 2005 16:06:39 -0500

alien (8.57) unstable; urgency=low

  * hppa <=> parisc conversion for rpm. Closes: #338187

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Nov 2005 13:39:06 -0500

alien (8.56) unstable; urgency=low

  * Warn if a package contains maintainer scripts which are not converted,
    since this can result in broken packages.
  * Many small fixes.

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Jul 2005 20:21:42 -0400

alien (8.55) unstable; urgency=low

  * Add lgtoclnt patch from Clint. Closes: #276365
  * Remove old openmotif patches. It's in non-free now.
  * Update other patches to use debhelper v4.
  * Fix deb package postinst retreival, was broken by the permissions fixup
    code. Closes: #304828
  * Use postrm when generating a rpm spec file with scripts enabled.
    Before this never worked.

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Jul 2005 16:03:27 -0400

alien (8.54) unstable; urgency=low

  * Patch from Alexander Jolk adding a --bump option. Closes: #311681

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Jul 2005 14:20:31 -0400

alien (8.53) unstable; urgency=low

  * Build packages using debhelper v4 mode.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Jun 2005 14:10:26 -0400

alien (8.52) unstable; urgency=low

  * Add a new parameter to runpipe to control whether it automatically
    checks the return code of the command (and exits). Turn this on for many
    runpipe calls that are not expected to fail in normal operation, but can
    fail if the input file is empty, corrupt, or not readable. Previous
    behavior for rpm files was a cascading failure that created weird
    directories in cwd. Closes: #305592

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Apr 2005 11:34:41 -0400

alien (8.51) unstable; urgency=low

  * In rpm unpack permission fixup code, do not call chmod on symlinks,
    as it will follow the links.

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Mar 2005 16:21:14 -0500

alien (8.50) unstable; urgency=low

  * Recognise udebs and treat them like debs. Closes: #284693

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Dec 2004 16:20:42 -0500

alien (8.49) unstable; urgency=low

  * Add support for config files in relocatale directories. Relocate
    filenames in the conffiles list. Closes: #283774
  * Correct permissions fixup code for parent directories from rpms to
    take the umask into account when searching for such directories. And
    make such directories mode 755, not 700. Closes: #271903

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 2004 16:09:11 -0500

alien (8.48) unstable; urgency=low

  * Support cross-building rpms, output rpm should always be same arch as
    input package now.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Nov 2004 17:35:28 -0500

alien (8.47) unstable; urgency=low

  * x86_64 rpms become amd64 debs
  * Add new java 1.5.0 diffs from Gerald Turner.
  * Clean out old j2sdk diffs.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 2004 13:59:49 -0400

alien (8.46) unstable; urgency=low

  * Unset _unpackaged_files_terminate_build when building rpms, at least SuSE
    sets this, which breaks alien due to its placement of the spec file in the
    build directory.

 -- Joey Hess <joeyh@debian.org>  Sun,  1 Aug 2004 20:50:37 -0400

alien (8.45) unstable; urgency=low

  * Run dh_clean with -d to avoid cleaning up any oddly named files from rpms,
    like .orig files. Closes: #261964

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Jul 2004 13:14:39 -0400

alien (8.44) unstable; urgency=low

  * Don't add line about permissions fixup code to postinst if there is not
    code to add.
  * Don't assume that just because we know of a user or are root, that files
    can go into the deb owned by that user, and come out right on install.
    Instead, assume that any non-root user will not be on the target system
    the rpm is installed on, and that it might be created in the preinst or
    something, so add permissions fixup code for all such users.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Mar 2004 22:51:48 -0500

alien (8.43) unstable; urgency=low

  * Added a new j2sdk_1.4.2_03-1.diff from Gerald Turner.

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Jan 2004 20:05:17 -0500

alien (8.42) unstable; urgency=low

  * Do not register conffiles in /etc when generating a deb; debhelper v3
    takes care of that.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jan 2004 22:25:48 -0500

alien (8.41) unstable; urgency=low

  * Generate a build tree on request even when the source and dest formats are
    the same. Closes: #222311

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Nov 2003 18:29:29 -0500

alien (8.40) unstable; urgency=low

  * Include the version of alien that generated a deb or rpm in the
    description. Closes: #220763
  * Also put it in the changelog of debian packages.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Nov 2003 20:57:44 -0500

alien (8.39) unstable; urgency=low

  * Fix a couple more mistakes in the code added in 8.36.

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Nov 2003 21:53:36 -0500

alien (8.38) unstable; urgency=low

  * Fix a couple of typos in the code added in 8.36; it should actually work
    now.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Nov 2003 16:21:40 -0500

alien (8.37) unstable; urgency=low

  * Make sure the working directory's subdirs have sane modes before trying
    to delete it, in case it has unwritable dirs and alien is not running
    as root. Closes: #217330

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Oct 2003 15:45:31 -0500

alien (8.36) unstable; urgency=low

  * Patch from aj to fix permissions of setuid files that have their owners
    created in the preinst.
  * Alien's repository has moved from CVS to subversion.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Oct 2003 16:04:17 -0400

alien (8.35) unstable; urgency=low

  * Move from build-depends-indep to build-depends, to meet current policy.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Sep 2003 12:14:58 -0400

alien (8.34) unstable; urgency=low

  * Fixed changelog parsing regexp. Noticed by Gerald Turner who is sure
    turning up in this changelog a lot.
  * Updated j2sdk patch fixes some ControlPanel shell script
    incompatabilities. Closes: #200731

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Jul 2003 20:35:09 +0200

alien (8.33) unstable; urgency=low

  * Added a new j2sdk patch that does not rename the package.

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Jul 2003 19:49:25 -0400

alien (8.32) unstable; urgency=low

  * Removed the two newest j2sdk patches, which both rename the package,
    breaking alien -i. Closes: #199992

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Jul 2003 19:44:45 -0400

alien (8.31) unstable; urgency=low

  * Updated the j2sdk patch for version 1.4.2. (From Gerald Turner.)

 -- Joey Hess <joeyh@debian.org>  Mon, 30 Jun 2003 20:55:10 -0400

alien (8.30) unstable; urgency=low

  * Added -v to enable verbose mode, which lists each shell command
    as it is run. Also added --veryverbose for verbose with command
    output too.
  * Use -V for version. (-v used to be documented, but never worked)

 -- Joey Hess <joeyh@debian.org>  Wed, 14 May 2003 00:12:00 -0400

alien (8.26) unstable; urgency=low

  * alien.spec: pass PREFIX to Makefile.PL so it works on systems
    (such as red hat 8) where the generated Makefile does not use
    $PREFIX in all paths.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Apr 2003 23:12:32 -0400

alien (8.25) unstable; urgency=low

  * Support rpms that contain no files. Closes: #184714

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Mar 2003 21:34:33 -0800

alien (8.24) unstable; urgency=low

  * Corrected precidence problem that made alien not catch mkdir of the work
    directory failing if the directory already existed (and let it delete the
    existing directory). Closes: #181061
  * Fixed several other instances of the same precidence problem in the code.

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Feb 2003 14:18:44 -0500

alien (8.23) unstable; urgency=low

  * Updated j2sdk patch again.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Feb 2003 22:51:11 -0500

alien (8.22) unstable; urgency=low

  * Use rpmbuild -bb instead of rpm -bb, as it seems that rpm -bb has stopped
    working in recent versions of rpm, as shipped by red hat (Debian's rpm,
    confusingly, continues to support rpm -bb, possibly because of how I hack
    its popt stuff up for debian.) This may fail with older, pre-rpmbuild
    rpm's; if so you should upgrade to a more current version I guess.
  * Updated js2k patch from Gerald Turner.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Feb 2003 14:35:40 -0500

alien (8.21) unstable; urgency=low

  * Pach from Erwan MAS <erwan@mas.nom.fr> that allows specification of the
    version of a tgz file, for files that don't have a parseable version
    number. For consistency with --description, I made the otpino be called
    --version -- if no argument is specified to this option, it retains its
    old behavior of displaying alien's version, but it is now overloaded
    if given an argument. Closes: #165584

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Oct 2002 20:51:51 -0400

alien (8.20) unstable; urgency=low

  * Added support inspired by aj for converted rpm packages that create
    users/groups in their preinst, and which alien therefore cannot ship the
    files with proper ownerships in the .deb. In this case alien will now
    insert appropriate chown commands into the postinst script of the
    converted package.
  * That only works when converting rpm to deb, not the other way around,
    for now.
  * Removed the cpio directory permissions fixup code, which was probably
    broken, and is obsolete since I get directory perms from the rpm now.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Aug 2002 15:17:57 -0400

alien (8.19) unstable; urgency=low

  * Added upsated jdk patches from Gerald Turner.
  * Allow fallback to different debian revisions w/o --anypatch.
  * Add a changelog parser so I can work out the built version of a package.
    Ugh. Closes: #157971

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Aug 2002 19:58:36 -0400

alien (8.18) unstable; urgency=low

  * Be stricter about which patch files to apply by default. For old behavior
    use --anypatch.
  * Minor perl 5.8 fix.

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Aug 2002 12:10:39 -0400

alien (8.17) unstable; urgency=low

  * When converting from rpm, do parent directory 755 chmods first, then
    known permissions setting from rpm --queryformat, so that it can override
    any directories that do indeed have a permission set.
  * Fixed MakeFile.PL to work with perl 5.8.

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Aug 2002 12:49:04 -0400

alien (8.16) unstable; urgency=low

  * Fixed rpm unpacking.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Jul 2002 19:35:06 -0400

alien (8.15) unstable; urgency=low

  * Fix a longstanding bug I was only recently told about: When converting
    from rpm, ignore the icky file owners and perms from the cpio archive,
    and query rpm for the real set that it overrides in the control data
    structure. Closes: #151546

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Jul 2002 21:03:16 -0400

alien (8.14) unstable; urgency=low

  * Enabled Getopt::Long Bundling, see comment in alien.pl. Closes: #152148

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Jul 2002 16:40:07 -0400

alien (8.13) unstable; urgency=low

  * Made tgz version parsing greedier so it will match sub-versions.

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Jul 2002 08:05:45 -0400

alien (8.12) unstable; urgency=low

  * Fixed slp conversion to not use uninitialized value. Closes: #150840

 -- Joey Hess <joeyh@debian.org>  Mon, 24 Jun 2002 13:20:51 -0400

alien (8.11) unstable; urgency=low

  * Fix for extracting control files from debs on systems w/o dpkg-deb.
    Don't try to extract "file", just "./file".

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Jun 2002 13:34:09 -0400

alien (8.10) unstable; urgency=low

  * Build alien with debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 17:56:52 -0400

alien (8.09) unstable; urgency=low

  * Deal with packages with strange characters in their filenames.
    Closes: #146017

 -- Joey Hess <joeyh@debian.org>  Thu, 23 May 2002 22:35:25 -0400

alien (8.08) unstable; urgency=low

  * Gerald Turner <gturner@newedgenetworks.com> contributed a .diff file for
    conversion of the j2sdk (Java 2 Software Development Kit)

 -- Joey Hess <joeyh@debian.org>  Wed, 22 May 2002 20:07:41 -0400

alien (8.07) unstable; urgency=low

  * Added --test parameter, Closes: #145520

 -- Joey Hess <joeyh@debian.org>  Thu,  2 May 2002 20:03:21 -0400

alien (8.06) unstable; urgency=low

  * Added --fixperms option. Closes: #142850

 -- Joey Hess <joeyh@debian.org>  Sun, 21 Apr 2002 22:19:12 -0400

alien (8.05) unstable; urgency=low

  * Support rpms with a description consisting of just blank lines.

 -- Joey Hess <joey@kitenet.net>  Mon,  1 Apr 2002 13:36:45 -0500

alien (8.04) unstable; urgency=low

  * Fixed an unfortunate typo in Rpm.pm, Closes: #140742

 -- Joey Hess <joey@kitenet.net>  Sun, 31 Mar 2002 23:05:30 -0500

alien (8.03) unstable; urgency=low

  * Should avoid warning message, Closes: #140286
  * README and description updates.

 -- Joey Hess <joey@kitenet.net>  Thu, 28 Mar 2002 14:27:10 -0500

alien (8.02) unstable; urgency=low

  * Made more robust in the face of empty rpms. Closes: #138969

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Mar 2002 11:29:23 -0500

alien (8.01) unstable; urgency=low

  * The "vmware and dpkg on drugs" release.
  * If a preinstall script in a rpm starts like this:
    # BEGINNING_OF_POST_DOT_SH
    #!/bin/sh
    Add anther hashbang at the top, so dpkg doesn't croak on it.
    Closes: #137032

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Mar 2002 12:57:06 -0500

alien (8.00) unstable; urgency=low

  * LSB package support. It can generate LSB packages (not guarenteed
    fully conformant with the LSB), and it can take LSB packages and convert
    them into other formats. Unlike all the other conversions, lsb packages's
    dependancy (on lsb) and their package scripts are preserved in the
    generated packages (when allowed by the target package format). This means
    your distribution will need to have a package named 'lsb' for the result
    to be installable. (Debian will have one soon..)
  * Suggest rpm-lsb, which is the preferred rpm to build lsb packages with.
    Use it if it's present, plain old rpm otherwise.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Feb 2002 12:55:42 -0500

alien (7.32) unstable; urgency=low

  * Support ancient (bo-era) debs with upper-case field names. Closes: #130736

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Jan 2002 23:38:57 -0500

alien (7.31) unstable; urgency=low

  * Use --target noarch instead of --target=noarch when building rpms.
    The latter used to work, but no longer does, due to some change in rpm or
    popt. It also has to come after the -bb.
  * Trap stderr of rpm and debian/rules building packages, and only display if
    the build fails.

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Jan 2002 13:53:04 -0500

alien (7.30) unstable; urgency=low

  * Thanks to the excellent work of Mark A. Hershberger <mah@everybody.org>,
    alien now supports converting to and from Solaris "pkg" packages (which
    are really SysV packages). You probably need to run it on Solaris for this
    to work, though. This brings the number of possible conversions alien can
    do up from 12 to a monstrous 20!
  * Mark also had to patch Deb.pm a bit so the by-hand deb extraction could
    work with solaris's ar and tar.
  * Documented the EMAIL environment variable. Closes: #116754
  * Threw out a lot of old patches, circa 1999. Probably useless today.
  * When converting to debs, move files as follows, if possible, for better
    FHS compliance:
  	/usr/man	=> /usr/share/man
        /usr/info	=> /usr/share/info
        /usr/doc'	=> /usr/share/doc
  * Also moves files as follows, to avoid possibly confusing dpkg with
    installing over symlinks (?). Closes: #40012
        /usr/bin/X11 should be /usr/X11R6/bin
        /usr/lib/X11 should be /usr/X11R6/lib/X11
        /usr/include/X11 should be /usr/X11R6/include/X11
  * Reverse these moves in the cleantree stage.
  * Debian users who have installed alien packages in the past may want to
    re-convert and reinstall them, to take advantage of the new FHS
    conversions.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Oct 2001 20:53:33 -0400

alien (7.27) unstable; urgency=low

  * Moved as many system calls as I can over to shellless execution.
    There are still a lot that use shell tricks. Should deal with screwey
    rpms and file names better though. Closes: #105283
  * Display build logs after build failures.

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Jul 2001 10:16:20 -0400

alien (7.25) unstable; urgency=low

  * Treat 'armv4l' arch rpm's as arm architecture.

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Jun 2001 13:40:20 -0400

alien (7.24) unstable; urgency=low

  * Patch from Raul Miller <moth@debian.org> to make it use gzip -dc | tar
    everywhere it used to use tar zxvf. The problem with the latter is
    that, on Red Hat anyway, when tar is reading from stdin, tar or gzip
    seems to be broken, and tar does not see an end-of-file marker, causing
    alien to hang when converting rpms to debs. Closes: #96200

 -- Joey Hess <joeyh@debian.org>  Wed,  9 May 2001 11:09:16 -0400

alien (7.23) unstable; urgency=low

  * Moved files out of perl privlib, Closes: #95512

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Apr 2001 23:15:18 -0400

alien (7.22) unstable; urgency=low

  * Modification to match changes in rpm 4's parser; need to use
    --target=noarch, rather than --target noarch.

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2001 13:43:56 -0700

alien (7.21) unstable; urgency=low

  * Deal with empty /etc/mailname, Closes: #90727

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Mar 2001 14:19:17 -0800

alien (7.20) unstable; urgency=low

  * Updated to use debhelper v3 when converting packages. This
    automatically should make it start adding ldconfig calls
    as appropriate to maintainer scripts. Closes: #86088
  * It does mean you need debhelper 3.x for alien to convert to
    deb now, so alien-extra will need an update.
  * Rebuilt with newer perl, so it will work with newer perl (bug filed;
    this should not have been necessary).

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Feb 2001 15:33:07 -0800

alien (7.18) unstable; urgency=low

  * Build with debhelper v3.

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Feb 2001 17:58:55 -0800

alien (7.17) unstable; urgency=low

  * Munge in #!/bin/sh entries at the top of rpm maintainer
    scripts that appear to be shell scripts. Closes: #76124

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Feb 2001 18:58:56 -0800

alien (7.16) unstable; urgency=low

  * Updated motif patches again.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Jan 2001 11:18:20 -0800

alien (7.15) unstable; urgency=low

  * Removed dh_suidregister call -- bitten my by own program! :-)
    Closes: #82230

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Jan 2001 14:12:49 -0800

alien (7.14) unstable; urgency=low

  * Added rpm spec file fix.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jan 2001 12:31:54 -0800

alien (7.13) unstable; urgency=low

  * Patch from Pavel Roskin <proski@gnu.org> for misc specfile issues,
    including nastly comppressed man page munging.
  * Updaed motif patches from Andreas Voegele <andreas.voegele@gmx.de>.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Dec 2000 15:15:41 -0800

alien (7.12) unstable; urgency=low

  * Modified Rpm.pm to not bother with the scripts stanzas if there are
    no scripts.

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Dec 2000 14:50:51 -0800

alien (7.11) unstable; urgency=low

  * Use ls -1 instead of plain ls when copying files to debian/tmp in rpm
    conversion. Since that output is grep'ed, items might have been
    accidentually excuded before (although ls seems to output one file per
    line when run inside makefiles, probably because it notices it is not
    at a tty). Anyway, I had a report that there was a problem here, and
    this should fix it.

 -- Joey Hess <joeyh@debian.org>  Thu, 23 Nov 2000 13:02:52 -0800

alien (7.10) unstable; urgency=low

  * Use dh_perl for automatic, correct perl dependancies, Closes: #77669

 -- Joey Hess <joeyh@debian.org>  Tue, 21 Nov 2000 15:52:08 -0800

alien (7.9) unstable; urgency=low

  * Whoops, alien was still trying to use /usr/lib/alien/pactches,
    corrected.

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Nov 2000 11:59:04 -0800

alien (7.8) unstable; urgency=low

  * Use debhelper v2 for debian/rules, but not when converting
    packages to deb format.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Sep 2000 12:36:25 -0700

alien (7.7) unstable; urgency=low

  * Corrected return code of system check.
  * Corrected logic error in relocatable rpm handling that was making
    converting such rpms not work. (Closes: #71155)

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Sep 2000 16:19:22 -0700

alien (7.6) unstable; urgency=low

  * Added a note about a sticky library dependancy issue that I can't fix.
  * Applied a patch from Chris Gorman to deal with spaces in directory
    names, spaces in conffile names (!!), and accented characters
    everywhere in deb -> rpm conversions.
  * Fixed numerous problems when converting from .deb w/o dpkg installed.
  * Fixed "2 files on 1 line" error when converting deb -> rpm.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Jul 2000 15:12:08 -0700

alien (7.5) unstable; urgency=low

  * Fixed an uninitialized value when converting from a .src.rpm.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 May 2000 21:42:38 -0700

alien (7.4) unstable; urgency=low

  * Corrected typo that broke Deb.pm, Closes: #64559

 -- Joey Hess <joeyh@debian.org>  Tue, 23 May 2000 19:30:04 -0700

alien (7.3) unstable; urgency=low

  * Changed all invocations of programs to be in posix-complient form. Ie,
    no options after args, so people who set POSIX_ME_HARDER can still use
    alien.
  * Bahave better if there is no /etc/mailname.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 May 2000 16:04:07 -0700

alien (7.2) unstable; urgency=low

  * When reloating files from a rpm, run the mv command directly,
    not in a subshell; this is safer especially if odd filenames are
    involved.
  * When converting from rpm, only chmod each directory once, it was doing
    it many times for some directories before.
  * Fixed chmodding to use the correct path to the directory. This fixes
    file permissions in rpm's converted to other formats, a bug introduced
    at 7.0.
  * Fixed some undefined value warnings (which pointed out real but rare
    bugs).
  * Fixed a rare, but bad little bug. If you ran alien in a directory that
    had the suid/sgid bit set (as my home directory does), and generated
    debs and probably other formats, it generated packages with the root
    directory suid/sgid.

 -- Joey Hess <joeyh@debian.org>  Tue,  9 May 2000 14:13:15 -0700

alien (7.1) unstable; urgency=low

  * Corrected checking of system() in Deb::prep. Closes: #63396

 -- Joey Hess <joeyh@debian.org>  Mon,  1 May 2000 19:42:01 -0700

alien (7.0) unstable; urgency=low

  * This is a fully rewritten version, now belived to be stable enough for
    a dot-0 release.

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Apr 2000 23:27:24 -0700

alien (6.99999) unstable; urgency=low

  * I despise MakeMaker.

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Apr 2000 21:44:05 -0700

alien (6.9999) unstable; urgency=low

  * Major typo fix in Tgz.pm.
  * Fixed newlines in tgz filelist.
  * Fixed some undefined value warnings.
  * Put the rpm spec file back in. Converting the debs to rpms fails
    because rpm doesn't use the same perl include path. Bummer.
  * Fixed duplicate alien man page problem.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Apr 2000 16:12:44 -0700

alien (6.99) unstable; urgency=low

  * The great rewrite. Alien is now based on pure object oriented package
    objects. These objects can read all relevant details about a package, and
    can generate packages based on that information. Thus, converting from one
    format to another becomes a simple matter of generating one of these
    objects, pointing it at a package, mutating it into the destination
    class, and telling it to write the new package out! A basic alien can now
    be written using these objects in one "line" of perl -- in fact, here is
    one:
      perl -MAlien::Package::Deb -MAlien::Package::Rpm -e '
      	       $p=Alien::Package::Rpm->new(filename => shift); $p->unpack;
               bless($p, "Alien::Package::Deb");
               $p->prep; $p->build'
  * Almost every line of code has been rewritten.
  * Package descriptions now include a note that they were converted with
    alien. There are other numerous changes to the converted packages, for
    instance, generated .deb's now have more info in their copyright file.
  * The template files were all moved inside the objects, which is actually
    cleaner and is certainly easier to deal with.
  * Usernames are now looked up the way POSIX intended.
  * alien.1 is now generated from POD docs.
  * Alien can now convert into multiple formats at once.
  * Alien now always cleans up after failed converts, Closes: #62331
  * Alien can now be used to just install a package with no conversion.
    Closes: #53441
  * Use a Makefile.PL because that seems to make sense, which means lots of
    the build system had to be changed.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Apr 2000 18:52:41 -0700

alien (6.59) unstable; urgency=low

  * Fixed typo, Closes: #60424

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Mar 2000 20:30:01 -0800

alien (6.58) unstable; urgency=low

  * Patch from Michael Barabanov <baraban@fsmlabs.com> to make -n work by
    preventing rpm from expanding stuff like %S in the uuencoded scripts.

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Mar 2000 15:39:07 -0800

alien (6.57) unstable; urgency=low

  * Corrected priority in control file to optional; ftp admins, please take
    note! This pakage has never belonged in extra..

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Mar 2000 04:08:05 -0800

alien (6.56) unstable; urgency=low

  * Corrected a problem triggered by wordperfect's deb: rpm can't deal with
    files that have spaces, unless they are quoted. Thus, quote all filenames.
  * Handles empty directories now when converting to rpm.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Jan 2000 16:25:27 -0800

alien (6.55) unstable; urgency=low

  * Patch from Jan Nieuwenhuizen to fix control file extraction on
    non-debian systems. Not for frozen.

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Jan 2000 14:45:31 -0800

alien (6.54) unstable; urgency=low

  * Added metrolink motif diffs from
    Andreas Voegele <andreas.voegele@nikocity.de>

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Jan 2000 13:57:47 -0800

alien (6.53) unstable; urgency=low

  * Fixed the problem I thought I fixed in 6.50. Hmm. Closes: #52402

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Dec 1999 10:21:43 -0800

alien (6.52) unstable; urgency=low

  * Added (very simple) build dep.

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Dec 1999 23:34:10 -0800

alien (6.51) unstable; urgency=low

  * Fixes to my build system.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Dec 1999 14:19:52 -0800

alien (6.50) unstable; urgency=low

  * Fixed problem with relocatable packages, and probably several other
    unrelated problems that were introduced last version.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Dec 1999 13:52:55 -0800

alien (6.49) unstable; urgency=low

  * Removed an obsolete note from the man page.
  * Set locale to C while using rpm to pick at the .rpm file we are going to
    convert, Closes: #42282
  * Moved /usr/lib/alien to /usr/share/alien
  * Added --nopatch option, Closes: #47069

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Nov 1999 12:42:00 -0800

alien (6.48) unstable; urgency=low

  * Patch from Benjamin Cant <ben@aegis.hands.com> to make it work even if
    there is no space after control file lines in a debian package.

 -- Joey Hess <joeyh@debian.org>  Thu, 23 Sep 1999 11:41:59 -0700

alien (6.47) unstable; urgency=low

  * Now FHS compliant. But the packages it builds will probably not be..

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 14:25:01 -0700

alien (6.46) unstable; urgency=low

  * Fixed alien.slp file generation.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Sep 1999 23:49:10 -0700

alien (6.45) unstable; urgency=low

  * Checked into cvs. Added a fixlinks script to generate all symlinks.
  * Integrated into my build system for automatic home page updates.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Sep 1999 23:17:50 -0700

alien (6.44) unstable; urgency=low

  * Depend on cpio. It is used in the rpm unpack phase after all, since
    alien uses rpm2cpio (Closes: #38969)

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Jul 1999 11:15:38 -0700

alien (6.43) unstable; urgency=low

  * Now depends on perl5 | perl, I'll kill the | perl bit later on, but it
    seems to make sense for the transition.

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Jul 1999 10:57:20 -0700

alien (6.42) unstable; urgency=low

  * Don't call dh_fixperms. As bug #36700 points out, some things you'll
    want to convert have odd permissions intentionally. I suppose this
    change will make a lot of stuff that has odd permissions accidentially
    come through with bad perms, but that's life..

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Jun 1999 15:51:37 -0700

alien (6.41) unstable; urgency=low

  * Fixed the makefile so it doesn't keep files owned by 500.500.
  * --version, -v works.

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Jun 1999 11:30:22 -0700

alien (6.40) unstable; urgency=low

  * D'oh corrected powerpc problem.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Jun 1999 10:41:46 -0700

alien (6.39) unstable; urgency=low

  * When converting from rpm, ppc -> powerpc (Closes: #39550), patch by
    Chris Lawrence <lawrencc@debian.org>

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Jun 1999 09:12:03 -0700

alien (6.38) unstable; urgency=low

  * Disable localization when getting the rpm --version output.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 May 1999 14:55:29 -0700

alien (6.37) unstable; urgency=low

  * If the package that is being made into a deb has a release with no
    number in it, dpkg-deb barfs, so add "-1" to the release in that
    case. (#3755)

 -- Joey Hess <joeyh@debian.org>  Sun, 16 May 1999 17:44:01 -0700

alien (6.36) unstable; urgency=low

  * Updated XBF-i740 xserver diff.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 May 1999 13:44:03 -0700

alien (6.35) unstable; urgency=low

  * Fixed rpm minor version test.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 May 1999 13:35:18 -0700

alien (6.34) unstable; urgency=low

  * Adjusted the rpm version test - rpm 2.92 and above need --target.

 -- Joey Hess <joeyh@debian.org>  Fri, 30 Apr 1999 13:04:03 -0700

alien (6.33) unstable; urgency=low

  * Fixes for rpm 3.0:
    - Since rpm --showrc has changed to a format that is now very
      difficult to machine parse for the topdir value, don't. Instead,
      force rpm to output the rpm into the cirrent directory. This is
      more consistent anyway.
    - Detect rpm version and use --target or --buildarch appropriatly.
    - Fixed alien.rpm's own build process to work again (stupid macro
      substitutions...).

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 1999 13:20:27 -0700

alien (6.32) unstable; urgency=low

  * Dropped in diff files for the XBF-i740 xserver, thanks to Agustin
    Martin <agmartin@aq.upm.es>

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Apr 1999 12:57:54 -0700

alien (6.31) unstable; urgency=low

  * Actually included the fixed file to make the relocatrable packages work.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 1999 14:14:27 -0700

alien (6.30) unstable; urgency=low

  * Fixed applix 4.4.1 menu.
  * Fixed a problem with converting relocatable packages that contained
    the directory they claimed they could relocate into. This fixes the
    problem someone was having converting a Glide rpm - I forget who.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 1999 00:02:53 -0700

alien (6.29) unstable; urgency=low

  * You don't need to be root to run alien -g or alien -s, so disabled the
    check there.
  * Removed extraneous install -d in debian/rules template file.
  * Added support for applix 4.4.1.
  * Fixed patch support, it's been broken.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Apr 1999 19:43:51 -0700

alien (6.28) unstable; urgency=low

  * Don't call dh_installmanpages when converting to .deb, it can do the
    wrong thing in some instances.
  * Handling of relocatable packages was broken. (#31868) Fixed it by
    looking at the rpm PREFIXES tag.

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Jan 1999 13:28:41 -0800

alien (6.27) unstable; urgency=low

  * Depends on debhelper >= 0.88 so it can use -X option.

 -- Joey Hess <joeyh@debian.org>  Sun, 27 Dec 1998 21:00:36 -0800

alien (6.26) unstable; urgency=low

  * If 822-date fails, the error now suggests installing dpkg-dev. This is
    way up there in the alien faw and I'm tired of answering it.

 -- Joey Hess <joeyh@debian.org>  Mon,  7 Dec 1998 19:02:26 -0800

alien (6.25) unstable; urgency=low

  * Alien can now be installed into eg, /usr/local via a PREFIX variaible
    in the Makefile, based on work by Roman Shterenzon <roman@xpert.com>.
  * Typo fix from Roman Shterenzon.
  * Moved the patch files that come with alien out of /var/lib/alien
    into /usr/lib/alien/patches. Alien will now check both directories for
    patches, /var first.

 -- Joey Hess <joeyh@debian.org>  Mon, 30 Nov 1998 17:12:10 -0800

alien (6.24) unstable; urgency=low

  * I hope this will work with i586.deb files.

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Nov 1998 21:19:19 -0800

alien (6.23) unstable; urgency=low

  * It seems perl 5.003 breaks alien, so I set up dependancies on 5.004, and
    updated documentation accordingly.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Nov 1998 00:26:21 -0800

alien (6.22) unstable; urgency=low

  * Updated urls to the alien-extra stuff, it's now hosted on Bruce S.
    Babcock's machine.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Nov 1998 00:04:53 -0800

alien (6.21) unstable; urgency=low

  * Exclude .Z files from compression by dh_compress when converting to .deb
    package.

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Nov 1998 15:54:01 -0800

alien (6.20) unstable; urgency=low

  * Convert tar.Z files too.

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Nov 1998 19:32:13 -0800

alien (6.19) unstable; urgency=low

  * Don't fail even if dh_shlibdeps fails.

 -- Joey Hess <joeyh@debian.org>  Sun,  1 Nov 1998 21:44:32 -0800

alien (6.18) unstable; urgency=low

  * Hack so it'll work on packages where the upstream version doesn't
    contain any digets.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Sep 1998 18:06:13 -0700

alien (6.17) unstable; urgency=low

  * Rebuilt with debhelper 1.1.15 so that patches arn't installed as man
    pages.

 -- Joey Hess <joeyh@debian.org>  Mon, 31 Aug 1998 13:31:56 -0700

alien (6.16) unstable; urgency=low

  * When converting from .tgz files, use arch: all. Sort of a hack, but
    since we don't know what arch of stuff is in them, it's as good a
    guess as any. This will let people use the conversion on other
    architectures. (#26253).

 -- Joey Hess <joeyh@debian.org>  Sun, 30 Aug 1998 21:57:39 -0700

alien (6.15) unstable; urgency=low

  * Fixed a bug converting slp -> rpm, where filenames in the generated
    filelist didn't start with "/".

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Aug 1998 15:39:31 -0700

alien (6.14) unstable; urgency=low

  * Die early if converting to a .deb and not root. Debhelper command will
    cause it to die later on, anyway. (#25775)

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Aug 1998 17:45:38 -0700

alien (6.13) unstable; urgency=low

  * Don't bother calling dh_strip when converting to a .deb. This has caused
    more trouble than it's worth.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Aug 1998 13:13:50 -0700

alien (6.12) unstable; urgency=low

  * Will now properly convert rpm's that have things like + in their name.
    (#25656).

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Aug 1998 15:09:30 -0700

alien (6.11) unstable; urgency=low

  * There was a problem converting rpm packages to tgz and slp formats (and
    to a much lesser degree converting them to dpkg format): any parent
    directories that were not in the rpm, but did have children in the rpm,
    would end up with bad permissions (700). Alien now does a smart scan to
    detect this and changes the permissions to a more sane 755.
  * When converting to slp or tgz, with -g or -s, output informative
    message, same as when converting to rpm or deb.

 -- Joey Hess <joeyh@debian.org>  Sat, 20 Jun 1998 21:06:37 -0700

alien (6.10) unstable; urgency=low

  * Remove a junk file that crept in in the last version.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Jun 1998 18:00:32 -0700

alien (6.09) unstable; urgency=low

  * Added a short document on how to generate a diff file for use by alien.
  * Fixed a security hole in alien generated rpm files that had scripts in
    them, that could allow a user to clobber files on the filesystem. Any
    such alien generated rpm files currently in existence already contain
    this bug, so be careful with them. Such files should be rare, they have
    to be generated by "alien --to-rpm --scripts".
  * That bug is even less likely, becuase it turns out --scripts has been
    broken since alien version 6.0. Oops. Fixed.
  * --single and --description were also broken since 6.0, and are fixed
    now.
  * It used to be that only shell scripts could be converted to rpm format,
    because of a stupid bug. Fixed.
  * There has been a change in how rpm outputs the file list for a
    relocatable package - it used to strip the prefix from each filename,
    and I could get at it in the DEFAULTPREFIX tag. Now it doesn't, and that
    tag doesn't exist. The only change I actually had to make was to make
    alien send rpm's error about DEFAULTPREFIX not being a valid tag to
    /dev/null. All the code for dealing with DEFAULTPREFIX has been left in,
    for backwards compatability.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jun 1998 14:33:17 -0500

alien (6.08) unstable; urgency=low

  * Automatic installation of .tgz and .rpm files was broken.
  * Removed yet another use of tar -I.
  * Generated .slp files now properly contain filenames all starting with
    "./", just like normal Stampede packages.

 -- Joey Hess <joeyh@debian.org>  Sat,  9 May 1998 14:28:54 -0700

alien (6.07) unstable; urgency=low

  * New alien-extra's are available; updated the README to point to them.

 -- Joey Hess <joeyh@debian.org>  Fri,  8 May 1998 23:01:37 -0700

alien (6.06) unstable; urgency=low

  * Noted in README that you need bzip2 for stampede conversions.
  * For compatability with non-debian systems, don't use tar -I, pipe bzip2,
    instead.
  * Fixed Toslp.pm to generate slp packages with the correct BINFORMAT
    settings.

 -- Joey Hess <joeyh@debian.org>  Thu,  7 May 1998 16:36:48 -0700

alien (6.05) unstable; urgency=low

  * Fixed -k switch (#22168).

 -- Joey Hess <joeyh@debian.org>  Wed,  6 May 1998 12:22:02 -0700

alien (6.04) unstable; urgency=low

  * Added support for generating slp packages -- alien is now capable of 16
    different types of conversions!
  * Cleaned up some of Fromslp.pm.
  * Added support for converting from .slp packages that use .gz
    compression, as well as .bz2.
  * Still TODO: handling postinst script when converting to/from .slp
    packages.
  * Updated Makefile to build .slp package of alien too, it will now appear
    on alien's homepage.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 May 1998 12:35:45 -0700

alien (6.03) unstable; urgency=low

  * Added support for converting from v5 Stampede linux packages. Still a
    little rough and mostly untested.
  * Note that though the documentation says it can convert to Stampede
    packages as well, this isn't implemented yet. But I wanted to get a
    snapshot of my work so far out for testing by the Stampede people.
  * Changed hard links back to symlinks.
  * Got rid of standards-version in the created .deb files, that was stilly
    to have in there.
  * Standardized warnings.
  * Fixed some documentation.

 -- Joey Hess <joeyh@debian.org>  Sat,  2 May 1998 21:25:05 -0700

alien (6.02) frozen unstable; urgency=low

  * Fixed typo in README (#21126).

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Apr 1998 23:25:17 -0700

alien (6.01) frozen unstable; urgency=low

  * alien -i was broken, now fixed.

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Apr 1998 19:03:38 -0700

alien (6.00) unstable; urgency=low

  * Changed the module interface to be much cleaner. Probably broke many
    things in the process.
  * use strict throughout.
  * It is now possible to do multiple conversions with a single run of
    alien.
  * Reworked the rules file used to convert to a debian package so it uses
    debhelper. Alien no longer uses debstd at all. Adjusted dependancies
    accordingly.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Mar 1998 16:22:50 -0800

alien (5.21) unstable; urgency=low

  * Updated standards-version.
  * Fixed how it handles symlinks so the kernel 2.1.8x symlink bug doesn't
    prevent the package from building, by using hardlinks instead.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 1998 13:39:49 -0800

alien (5.20) unstable; urgency=low

  * added --description= flag, that lets the description of slackware
    packages be set.
  * Put packages converted to .deb format into a section called "alien".
  * s/kite.ml.org/kitenet.net/g

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Nov 1997 18:05:14 -0500

alien (5.19) unstable; urgency=low

  * Applied fix to preserve modification time when converting from rpm
    format. Thanks to Oberhumer Markus <k3040e4@c210.edvz.uni-linz.ac.at>
  * Modified lsm to place alien into /pub/Linux/utils/packages.
  * Added md5sums file back in.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Oct 1997 22:30:29 -0400

alien (5.18) unstable; urgency=low

  * Use debhelper to build alien (still uses debstd to convert packages).
  * Use dpkg-deb if available, instead of using ar. This fixes #12318: alien
    can now handle old format deb files.

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Sep 1997 15:52:08 -0400

alien (5.17) unstable; urgency=low

  * Added version info to filename of generated .tgz files.
  * Added --keep-version flag, which makes alien not increment the
    release number/debian version number.
  * Man page fixups.
  * Fixes for epochs (for now, just remove epochs, since rpm cannot handle
    them.)

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Sep 1997 13:08:03 -0400

alien (5.16) unstable; urgency=low

  * Fixed binary-indep target.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Sep 1997 18:33:18 -0400

alien (5.15) unstable; urgency=low

  * Exit with an understandable error if we can't write to the pwd.
  * Standardized error messages.

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Aug 1997 20:20:18 -0400

alien (5.14) unstable; urgency=low

  * Reccommend rpm >= 2.4.4-2, so noarch works, and /usr/src/redhat/BUILD/
    and /usr/src/redhat/RPMS/{noarch,<arch>} exist. Fixes #12220 and #12218.
  * Escape out variables in m// and s/// operators, fixes Bug #12219.

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Aug 1997 12:31:06 -0400

alien (5.13) unstable; urgency=low

  * Preliminary support for converting install scripts with the --scripts
    option. We have to uuencode them for rpm's.
  * Revised documentation.
  * Routine update of debian/rules:
    Fakeroot and sudo fixes (#11325).

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Jul 1997 21:24:49 -0400

alien (5.12) unstable; urgency=low

  * Fixed problem converting tgz files that contained files in the install/
    directory into rpm.
  * Ok, I'll announce this version to cola, instead of 5.11..
  * Updated .lsm description.

 -- Joey Hess <joeyh@debian.org>  Sun, 13 Jul 1997 13:26:13 -0400

alien (5.11) unstable; urgency=low

  * Announce on cola again.
  * Added noarch support into alien.
  * Changed rpm package to noarch version.
  * Other fixes to spec file.
  * Routine update of debian/rules:
    Only run sudo when really necessary - makes fakeroot work.

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Jul 1997 20:58:56 -0400

alien (5.10) unstable; urgency=low

  * Fixed an error in rpm package - all symlinks were being omitted from the
    package.

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Jun 1997 18:23:53 -0400

alien (5.9) unstable; urgency=low

  * Fixed stupid ugly bug in last version. "=~ tr" and "= ~tr" are very
    different things!
  * Reorganized some of the code.

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Jun 1997 11:57:38 -0400

alien (5.8) unstable; urgency=low

  * Rpm doesn't like version numbers that contain dashes, so change to
    underscores when converting to rpm. Thanks to Arne Elofsson.
  * Added some examples to the man page.

 -- Joey Hess <joeyh@debian.org>  Sun, 22 Jun 1997 23:05:51 -0400

alien (5.7) unstable; urgency=low

  * Use installpkg to install slackware packages.

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Jun 1997 17:55:51 -0400

alien (5.6) unstable; urgency=low

  * For slackware systems: added docs to README about alien-extra slackware
    package.
  * For redhat systems: include CHANGES, COPYING, lsm file in alien.rpm.

 -- Joey Hess <joeyh@debian.org>  Mon,  2 Jun 1997 13:06:40 -0400

alien (5.5) unstable; urgency=low

  * Added some more documentation and warnings about file ownerships getting
    screwed up if you run alien as non-root.
  * Added basic support for converting to Slackware tgz format. Mostly
    untested. I confess, I did this just to simplify the documentation of
    what alien can do. It was only 10 lines of code to add this, anyway. :-)
  * Had a hard drive crash and reassembled this package from bits and
    pieces. Hope it's not broken..

 -- Joey Hess <joeyh@debian.org>  Sat, 31 May 1997 17:31:26 -0400

alien (5.4) unstable; urgency=low

  * Fixed a bug that occurred if the full name field in the password file
    was empty, and ypmatch was installed.
  * Fixed another bug, that occurred if NIS is actually being used, where
    alien hung forever.
  * For non-debian systems, fix upgrades.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 May 1997 20:01:03 -0400

alien (5.3) unstable; urgency=low

  * For non-debian systems: falls back to the hostname if /etc/mailname
    isn't set

 -- Joey Hess <joeyh@debian.org>  Sun, 25 May 1997 19:50:07 -0400

alien (5.2) unstable; urgency=low

  * Turns out alien has been broken for processing slackware packages since
    version 3.0. It was leaving an /install directory behind. Fixed this.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 May 1997 21:10:50 -0400

alien (5.1) unstable; urgency=low

  * Added partial support for relocatable packages: DEFAULTPREFIX is
    examined, and if set, a subdirectory by the same name is created in the
    build directory of the package. This means relocatable packages end up
    in a sane location, not scattered in the root directory as they were
    previously.
  * Smarter guessing of patch file name to use, now looks at version number
    and revision number if neccessary.
  * Added a patch file for applix 4.3 (and one for the applix-english package).

 -- Joey Hess <joeyh@debian.org>  Thu, 15 May 1997 18:35:46 -0400

alien (5.0) unstable; urgency=low

  * Added some cautions to man page about not using alien to replace
    important packages.
  * This version will be released to the linux community at large, not just
    debian.
  * Added a README file.

 -- Joey Hess <joeyh@debian.org>  Wed, 7 May 1997 16:02:53 -0400

alien (4.3) unstable; urgency=low

  * Fixed a bug that made alien choke on packages that had 0 for their
    release or version number.
  * Removed obsolete alien.sh from the source package.

 -- Joey Hess <joeyh@debian.org>  Wed, 7 May 1997 15:17:33 -0400

alien (4.2) unstable; urgency=low

  * When installing deb file, alien will use --no-force-overwrite
    The idea behind this is to make it difficult to trash your debian system
    by installing alien packages that overwrite files in it. This only works
    if you use alien --install, not if you install the resulting .deb file by
    hand. This is a temporary fix until dpkg has --force-overwrite turned
    off by default.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Apr 1997 17:03:27 -0400

alien (4.1) unstable; urgency=low

  * If a package has underscores in it's name and is being converted to deb
    format, change the underscores to dashes. Thanks to
    Robert Coie <rac@mata.intrigue.com>
  * Strip out any other disallowed characters in package name when
    converting to deb.

 -- Joey Hess <joeyh@debian.org>  Fri, 4 Apr 1997 20:12:07 -0500

alien (4.00) unstable; urgency=low

  * Added support for converting deb to rpm, based on the "martian" program
    by Randolph Chung <rc42@cornell.edu>.
  * Huge reorganization, rewrite, and code cleanup.
  * As a side effect of the above, alien can also convert tgz into rpm now.
  * Use rpm -qcp to list conffiles from rpm files.
  * Reworked how conffiles are found from tar files.
  * Removed --noinstall option, changed alien to default to not installing
    generated packages, added --install option to make it install packages.
  * Removed --nopatch/--auto option, and changed patch lookup behavior. See
    the man page for an explination of the new behavior.
  * Now Recommends: dpkg-dev and make and Suggests: patch
  * Dropped feature of making slackware package install scripts into
    postinst. If there is any demand, I'll try to work this back into the
    program.
  * Rewrote most of the man page.
  * Fixed the version number so there are two digets in the minor revision
    number.

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Mar 1997 21:49:30 -0500

alien (3.2) frozen unstable; urgency=low

  * Fixed bug that was preventing alien from figuring out the version number
    of a tar file. (#8284)
  * Man page fixes, related to #8284.
  * Fixed a bug, present since 3.0, which was messing up conffile detection.
  * Removed README.debian. (It just pointed users to the man page, which is
    rather pointless.)

 -- Joey Hess <joeyh@debian.org>  Mon, 24 Mar 1997 14:03:04 -0500

alien (3.1) unstable; urgency=low

  * Force package names to lowercase.
  * Fixed --noinstall option.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Mar 1997 18:35:46 -0500

alien (3.00) unstable; urgency=low

  * Rewrote alien in perl.
  * Command line options can be specified in any order.
  * -ppatch will no longer work. use --patch=<patchfile> instead.
  * Improved usage help.
  * Include extended description from rpm, if available.
  * Fixed a bug with descriptions/summaries/changelogs/copyrights on rpms
    that contained the '/' character crashing alien.
  * Increment revision number of rpms when they are alianized.
  * Recommends: cpio becuase it is needed for rpm2cpio extraction.
  * Patch files do not have to be compressed.
  * Routine update of debian/rules:
    Clean up junk files in subdirs.

 -- Joey Hess <joeyh@debian.org>  Fri, 7 Mar 1997 16:08:02 -0500

alien (2.82) unstable; urgency=low

  * Use CHANGELOGTEXT, not CHANGELOG, when querying rpm files for
    changelogs. Fixes bug #7445.
  * Modification to work with rpm verison 2.3.7. This breaks compatability
    with previous versions of rpm. Modified control file to reflect this.

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Feb 1997 21:09:18 -0500

alien (2.81) unstable; urgency=low

  * Corrected maintainer in debian/control.
  * Routine update of debian/rules:
    Modifications for multiple binary package support.

 -- Joey Hess <joeyh@debian.org>  Fri, 7 Feb 1997 22:25:40 -0500

alien (2.80) unstable; urgency=low

  * Added a patch file for Applixware.
  * I'm looking for patch files for other commercial software, to add to the
    package. If you own commerical linux software and would like to
    contribute a patch, please contact me.

  * Generated debian/rules files will no longer pass package name to debstd
    (And neither does the debian/rules file for this package.)
  * Added -s switch for low disk space situations.
  * Added -i switch to build a package but not install it.
  * Added long options (--option), as I can never remember the short ones.
  * Fixed bug in guessing name of patch file to use.
  * Fixed bug that would not let you specify a patch file in the current
    directory, or a relative path to a patch file.
  * Don't use /etc/rpmrc as an indiciation of whether rpm is present, as
    this is a conffile, and might be deleted. Test for actual rpm binary.
  * More friendly error message if patch file is not found, suggesting that
    you try -n option.
  * Rewrote the code that figures out information about the rpm files so it
    uses rpm --queryformat to determine everything.
  * If a rpm has a changelog, add it to the end of debian/changelog.
  * Add summary to the Description: field of generated control files.
  * Add info from a rpm's copyright field to to the copyright file.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Jan 1997 20:35:10 -0500

alien (2.79) unstable; urgency=low

  * New maintainer.
  * Updated man page with new author info.
  * Changes to debian/rules to make current maintainer more comfortable.
  * Improvements to follow when I find the time..

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Jan 1997 20:54:47 -0500

alien (2.78) unstable; urgency=low

  * Corrected Priority
  * Cleanup debmake remnants

 -- Christoph Lameter <clameter@debian.org>  Sat, 25 Jan 1997 10:51:48 -0800

alien (2.77) unstable; urgency=low

  * alien source package completely split off from debmake. Looking for a
    new maintainer to provide some fresh ideas.

 -- Christoph Lameter <clameter@debian.org>  Sat, 25 Jan 1997 10:23:21 -0800

debmake (2.76) unstable; urgency=low

  * debstd: Multi-binary support: Generate necessary subdirectories on the
    fly from files names subpackage.filename (if such files exist) to comply
    with Policy. This results in an alternate way of storing files for
    sub-package generation. Remember to erase those directories in the
    rules file if using this scheme!

 -- Christoph Lameter <clameter@debian.org>  Sat, 25 Jan 1997 09:04:21 -0800

debmake (2.75) unstable; urgency=low

  * debchange: Fix bug introduced in 2.74
  * debstd: support for configure script
  * adpkg: support for package configuration before installation

 -- Christoph Lameter <clameter@debian.org>  Fri, 24 Jan 1997 13:17:49 -0800

debmake (2.74) unstable; urgency=low

  * debstd: Output warning if scripts do not use /bin/sh as its interpreter
    #6062
  * bug: default to ae editor if joe is not present #5675, #6811
  * debchange: default to ae editor if joe is not present #6794

 -- Christoph Lameter <clameter@debian.org>  Thu, 23 Jan 1997 21:47:39 -0800

debmake (2.73) unstable; urgency=low

  * made dependant on perl
  * Description in control file updated
  * debchange: automatically rename native debian package directories on generating
    the next version. Fixes some problems with warnings at package
    generation time.
  * alien: some minor fixes update of manpage.
  * Document nodeps option of debstd
  * Fixes to the way uupdate recognizes new version numbers (again!)

 -- Christoph Lameter <clameter@debian.org>  Mon, 20 Jan 1997 19:51:11 -0800

debmake (2.72) unstable; urgency=low

  * Fix Bug #6690: release not able to handle multiple bug numbers.
  * Fix Bug #6669
  * debstd: check for debian/changelog and abort if not found

 -- Christoph Lameter <clameter@debian.org>  Sat, 18 Jan 1997 09:24:43 -0800

debmake (2.71) unstable; urgency=low

  * adpkg: support for virtual package recognition
  * lots of fixes to adpkg. Add functionality to figure out which installed
    packages need to be updated. Rudimentary replacement for dselect.
  * Fix to init.d template

 -- Christoph Lameter <clameter@debian.org>  Fri, 17 Jan 1997 20:24:11 -0800

debmake (2.70) unstable; urgency=low

  * new tool: adpkg a front end to dpkg which will install all depending
    packages, locate packages on its own and install packages one by one in order
    to insure minimum downtime for daemons on mission critical servers.
  * bug: give a correct errormessage if packagename not specified instead of
    failing with a shell error.

 -- Christoph Lameter <clameter@debian.org>  Fri, 17 Jan 1997 15:40:01 -0800

debmake (2.62) unstable; urgency=low

  * Sue Campbell contributes a HOWTO.first_time
  * new tools: todo and done by Hakan Ardo
  * Automatically install a debian/TODO if present

 -- Christoph Lameter <clameter@debian.org>  Thu, 16 Jan 1997 22:07:10 -0800

debmake (2.61) unstable; urgency=low

  * debstd: fix recognition of .so in manpages

 -- Christoph Lameter <clameter@debian.org>  Thu, 16 Jan 1997 09:18:26 -0800

debmake (2.60) unstable; urgency=low

  * new tools: deb2asc, asc2deb and asc2debinst allowing the conversion
    and easy modification of already packed up debian packages. Also
    allows writing of packages with an editor. asc2debinst does not yet
    work as intended.
  * release: change Bug number matching to match #[0-9]{4,5}.

 -- Christoph Lameter <clameter@debian.org>  Tue, 14 Jan 1997 10:02:07 -0800

debmake (2.59) unstable; urgency=low

  * release: update manpage.
  * release: bug clearing did not work right... sigh....

 -- Christoph Lameter <clameter@debian.org>  Mon, 13 Jan 1997 22:28:59 -0800

debmake (2.58) unstable; urgency=low

  * release: Check for Bug# in changes files and ask maintainer if these
    bugs ought to be cleared. (Test Bug#4711)
  * debstd: 2.57 broke library scan functionality
  * uupdate: allow + characters in upstream packagename

 -- Christoph Lameter <clameter@debian.org>  Mon, 13 Jan 1997 21:08:03 -0800

debmake (2.57) unstable; urgency=low

  * bug: Bug#5619 treat conffiles without \n at the end correctly
  * debstd: install maintainer generated shlibs file. Skip Library scan for
    that case
  * better directory name matching when looking for undocumented binaries.
  * link to undocumented.7.gz instead of undoc.7

 -- Christoph Lameter <clameter@debian.org>  Sat, 11 Jan 1997 21:15:27 -0800

debmake (2.56) unstable; urgency=low

  * bug: -z option added to forbid removal of comments and empty lines from
    configfiles.
  * debstd: look for manpages also in /usr/X11R6/man

 -- Christoph Lameter <clameter@debian.org>  Thu, 9 Jan 1997 07:35:10 -0800

debmake (2.55) unstable; urgency=low

  * deb-make: Support specialities for native packages (such as copyright
    file for example)
  * debstd: reverse function of the -u option. Default is now no symlinks
    for undocumented binaries.
  * build: allow passing of options to dpkg-buildpackage
  * patch of Roman Hodek for some problems in debstd

 -- Christoph Lameter <clameter@debian.org>  Tue, 7 Jan 1997 10:49:19 -0800

debmake (2.54) unstable; urgency=low

  * debstd: Wrong warnings about a package not having executables fixed
  * two packages bug and alien split out from debmake. Dependencies
    reworked.
  * debstd: recognize games as a valid location for binaries and
    put links into section 6 for those binaries.
  * deb-make: fix to package name parsing
  * bug: Christian Schwarz: Ability to redirect bug report to stdout.
  * deb-make: Fix to document recognition by Christian Schwarz
  * uupdate: Diagnostics for existing original archives

 -- Christoph Lameter <clameter@debian.org>  Sun, 5 Jan 1997 21:17:23 -0800

debmake (2.53) unstable; urgency=low

  * made a template from Lars example manpage for debian. Thanks!
    template will be customized with packagename, emailname, maintainername
  * uupdate: Fix version number recognition for tar files.

 -- Christoph Lameter <clameter@debian.org>  Sun, 5 Jan 1997 18:46:16 -0800

debmake (2.52) unstable; urgency=low

  * uupdate: Fixes to the way the upstream version is recognized
  * uupdate: Figure out the new upstream version from patchname.
  * uupdate: Fixes to allow using a patch rather than a new archive.
  * uupdate: clean archive before patching it.

 -- Christoph Lameter <clameter@debian.org>  Thu, 2 Jan 1997 20:14:41 -0800

debmake (2.51) unstable; urgency=low

  * debstd: sometimes the associated manpage to a binary was not found
    and an undocumented.7 link installed despite of the presence of a manpage!
  * debstd: if first parameter was not the package name that documentation
    file was not installed.
  * deb-make: Better matching for documentation

 -- Christoph Lameter <clameter@debian.org>  Wed, 1 Jan 1997 17:40:54 -0800

debmake (2.50) unstable; urgency=low

  * deb-make: probe for common forms of documentation in a sourcecode
    package and generate a rules file to install those by default.
  * debian/rules templates updated to reflect changes.
  * debstd: generate /usr/doc/package/changelog for native packages
  * debstd: does not need packagename anymore on invocation
  * debstd: Generate manpage symlinks for executables without corresponding
    manpages.
  * debchange: Fix bug #6380.
  * changelog fixed to spell Santiago's name correctly etc.

 -- Christoph Lameter <clameter@debian.org>  Wed, 1 Jan 1997 13:12:11 -0800

debmake (2.41) unstable; urgency=low

  * Check for /etc/suid.conf instead for /usr/bin/suidregister for suid
    binaries to avoid pre-dependency problems for suidmanager.
  * strip -g only for libraries instead of a full strip (Santiago Vila)
  * Changes to the rules template according to suggestion by Santiago Vila.

 -- Christoph Lameter <clameter@debian.org>  Sun, 29 Dec 1996 12:43:11 -0800

debmake (2.40) unstable; urgency=low

  * uscan watch template provided.
  * new tool uscan: Scan upstream ftp sites for new releases and then
    dowload upstream releases, perform upstream update (using "uupdate"),
    rebuild package(s) (using "build") and upload new package (using
    "release") (Actions customizable, full automatic operation discouraged).
    Experimental status right now.

 -- Christoph Lameter <clameter@debian.org>  Wed, 25 Dec 1996 12:06:32 -0800

debmake (2.30) unstable; urgency=low

  * debchange: -v option to set the version number provided
  * new tool uupdate: automatize upstream updates for sourcecode packages

 -- Christoph Lameter <clameter@debian.org>  Tue, 24 Dec 1996 22:33:02 -0800

debmake (2.21) unstable; urgency=low

  * debstd: shlib generation: .shlibs file does not belong into -dev
    package as previously claimed. .shlibs file put into library package
    restoring what previous versions of debmake did. The versions 2.17-2.20
    produced unusable .shlibs files!

 -- Christoph Lameter <clameter@debian.org>  Mon, 23 Dec 1996 19:59:16 -0800

debmake (2.20) unstable; urgency=low

  * debstd: examples / docs documents were moved with directory.
  * Bug in inetd.conf postrm handling

 -- Christoph Lameter <clameter@debian.org>  Sun, 22 Dec 1996 16:26:32 -0800

debmake (2.19) unstable; urgency=low

  * example .forward file for the exim mailer provided
  * debstd: diversions set the wrong package name
  * build: use gid=0 when building packages to avoid generating wrong
    ownerships.

 -- Christoph Lameter <clameter@debian.org>  Thu, 19 Dec 1996 10:17:33 -0800

debmake (2.18) unstable; urgency=low

  * check dependencies of provided sharable libraries in addition to
    executables when calling dpkg-shlibdeps for a package.
  * info.ex: wrong spelling
  * debstd: manpage updated.
  * debstd: generate a changelog entry if debian/RELEASED is present.
  * shlibs management cleaned up.

 -- Christoph Lameter <clameter@debian.org>  Mon, 16 Dec 1996 22:21:56 -0800

debmake (2.17) unstable; urgency=low

  * deb-make: add capability to copy sample libraries. Samples for
    multi-binary and library revised.
  * If first documentation file for debstd has "change" in its name install
    that file as changelog.upstream (according to standard).
    Please be sure in the future to list the upstream changelog first after
    the package name
  * Changed Library Templates according to Guy's advice

 -- Christoph Lameter <clameter@debian.org>  Mon, 16 Dec 1996 21:14:56 -0800

debmake (2.16) unstable; urgency=low

  * Library link for library.so was not generated.
  * Message regarding tar of debstd cleaned up.

 -- Christoph Lameter <clameter@debian.org>  Mon, 16 Dec 1996 10:02:40 -0800

debmake (2.15) unstable; urgency=low

  * added instruction regarding tar problem
  * .shlibs file not correctly generated (Major Number screwed up)

 -- Christoph Lameter <clameter@debian.org>  Mon, 16 Dec 1996 08:01:43 -0800

debmake (2.14) unstable; urgency=low

  * deb-make asks for the type of package (single,multi,library) to generate
    and does not clutter the debian directory so much with .ex files.
  * Templates updated to use easier method for generating directories
    through a "dirs" file in the debian directory listing all necessary
    directories.
  * Incorrect menu template
  * Update Standards number to current

 -- Christoph Lameter <clameter@debian.org>  Sat, 14 Dec 1996 18:08:03 -0800

debmake (2.13) unstable; urgency=low

  * debstd: bug in processing of menus
  * deb-make gave an errormessage about not finding a file. Did not
    affect functionality.

 -- Christoph Lameter <clameter@debian.org>  Sat, 14 Dec 1996 10:04:50 -0800

debmake (2.12) unstable; urgency=low

  * Prototype for library rules simplified
  * debstd: strip static libraries
  * debstd: automatically generate symlinks for sharable elf libraries

 -- Christoph Lameter <clameter@debian.org>  Sat, 14 Dec 1996 04:25:14 -0800

debmake (2.11) unstable; urgency=low

  * Automatically strip libraries found.
  * Prototypes provided for ELF Library development

 -- Christoph Lameter <clameter@debian.org>  Fri, 13 Dec 1996 21:08:32 -0800

debmake (2.10) unstable; urgency=low

  * menu package support: deb-make installs an template for the menu
    package.
  * debstd: Clean up package by removing empty directories if a file "clean" exists.
  * Joey: Support for Joost's menu package.

 -- Christoph Lameter <clameter@debian.org>  Fri, 13 Dec 1996 18:24:35 -0800

debmake (2.09) unstable; urgency=low

  * debstd: bug in info file processing
  * debstd multi-binary support: package tmp directory was not created.
    The control file "files" used to fail.
  * debstd manpage revised .

 -- Christoph Lameter <clameter@debian.org>  Fri, 13 Dec 1996 10:42:40 -0800

debmake (2.08) unstable; urgency=low

  * template inetd.conf.ex updated with example how to place an entry in a
    section
  * release: post the processed control file from debian/tmp/DEBIAN instead
    of the one from the debian directory when announcing packages.
  * debstd: warn if empty /usr/info

 -- Christoph Lameter <clameter@debian.org>  Thu, 12 Dec 1996 05:24:39 -0800

debmake (2.07) unstable; urgency=low

  * debstd: manpage updated
  * inetd.conf processor added (allows specification of sections and multiple entries)

 -- Christoph Lameter <clameter@debian.org>  Wed, 11 Dec 1996 21:01:19 -0800

debmake (2.06) unstable; urgency=low

  * debstd: support for adding sections to /etc/aliases
  * bug: manpage + errormessage updated for filing bug reports as root

 -- Christoph Lameter <clameter@debian.org>  Wed, 11 Dec 1996 08:43:48 -0800

debmake (2.05) unstable; urgency=low

  * debstd: Dont install copyright file if already installed by maintainer
  * debstd: Do not compress .gif and .html.
    New switch -c to switch off all compression for docs since there might
    be other html stuff not to be compressed.
  * release: Check environment variable DEBIAN_RELEASE_DESTINATION and
    uploads to that site. Default to master.
  * release: Consults a database of possible upload sites in
    /usr/lib/deb-make/upload.sites. Need to have the data for chiark!

 -- Christoph Lameter <clameter@debian.org>  Sun, 8 Dec 1996 20:18:29 -0800

debmake (2.04) unstable; urgency=low

  * bug: set -v was accidentally left in the script

 -- Christoph Lameter <clameter@debian.org>  Sun, 8 Dec 1996 19:16:01 -0800

debmake (2.03) unstable; urgency=low

  * added the possibility to upload to other hosts using scp
    (ftp.fuller.edu and lalug.org available right now. Could someone sent me
    the data on chiark?)
  * depend on package file
  * debstd: info files not in main distribution directory were not installed.

 -- Christoph Lameter <clameter@debian.org>  Wed, 4 Dec 1996 20:56:35 -0800

debmake (2.02) unstable; urgency=low

  * bug: some more changes to the way subject lines are handled
  * debstd: some bugfixes relating to suid processing pointed out by Johnie Ingram
  * bug: Follow symlinks when trying to figure out the type of configfile
  * bug: Subject line can be edited when in the editor.
  * bug: debug switch (-d) added to send mail to postmaster@localhost
  * bug: manpage updated
  * fix some issues with multi-binary packages in debstd
  * template rules.multi updated

 -- Christoph Lameter <clameter@debian.org>  Sat, 23 Nov 1996 07:01:17 -0800

debmake (2.01) experimental; urgency=low

  * debstd manpage updated regarding suidmanager processing.

 -- Christoph Lameter <clameter@debian.org>  Fri, 22 Nov 1996 16:22:19 -0800

debmake (2.00) experimental; urgency=low

  * Support for suidmanager (Generated scripts will check for presence of
    suidmanager and not use it if no suidmanager exists).
    A package can simply be rebuild and will use suidmanager if any
    setsid or setgid binaries are present. (ppp 2.3 is an example)
    Not documented yet.
  * debmake uses suidmanager to register build and debpkg with REGULAR
    permissions so that they can be changed in /etc/suid.conf
  * deb-make: Message on completion of debmake did not display intended text
  * bug: allow maintonly (-m) or quiet (-q) bug reports
  * bug: wrong matches on dependency parenthesis
  * bug: check if called with UID=0 and abort
  * control files reworked
  * Manual Pages updated
  * Multi-Binary capabilities now available from debstd. debmstd ceases to
    exist.

 -- Christoph Lameter <clameter@debian.org>  Tue, 19 Nov 1996 11:28:38 -0800

debmake (1.99) unstable; urgency=low

  * procmail examples for filtering debian mailing lists included
  * README.debian revised: Made it clearer that debmake does not
    install any setuid programs.
  * build: include path for X11 binaries
  * bug: check if options given AFTER the packagename and give an
    errormessage if this is the case

 -- Christoph Lameter <clameter@debian.org>  Fri, 15 Nov 1996 12:18:45 -0800

debmake (1.98) unstable; urgency=low

  * bug: artistics to figure out versions of virtual packages (Thanks to the
    support by Joey + Guy). Not sure if this will work for all packages though.
  * debmstd: add analysis of executable formats and warn if unknown.
  * bug: add options to suppress config files and supply a subject
  * bug: dont list configfiles that are binaries

 -- Christoph Lameter <clameter@waterf.org>  Thu, 14 Nov 1996 18:02:16 -0800

debmake (1.97) unstable; urgency=low

  * bug: speedup (circumvents dpkg now)
  * bug: allows filing a bug report against anything

 -- Christoph Lameter <clameter@waterf.org>  Tue, 12 Nov 1996 20:51:37 -0800

debmake (1.96) unstable; urgency=low

  * release: use dupload if installed
    (One always needs to specify the host to upload to though.)
  * bug: removed some lines from the bugreports that were not really
    essential.

 -- Christoph Lameter <clameter@waterf.org>  Tue, 12 Nov 1996 13:22:14 -0800

debmake (1.95) unstable; urgency=low

  * release: Changes file was not uploaded (why is it not listed in the
    changesfile itself if it is to be uploaded ????)

 -- Christoph Lameter <clameter@waterf.org>  Mon, 11 Nov 1996 21:30:20 -0800

debmake (1.94) unstable; urgency=low

  * alien: bug when building rpm packages
  * deb-make does no longer accept strange characters in directorynames.

 -- Christoph Lameter <clameter@waterf.org>  Fri, 8 Nov 1996 19:41:30 -0800

debmake (1.93) unstable; urgency=low

  * bug: Depends: field was required in the description of the package
    processed.
  * debstd: bug in info processing. copied from debian instead of the main
    sourcedirectory.

 -- Christoph Lameter <clameter@waterf.org>  Fri, 8 Nov 1996 15:44:33 -0800

debmake (1.92) unstable; urgency=low

  * build: manpage updated
  * build: add support for targets binary-indep and binary-arch

 -- Christoph Lameter <clameter@waterf.org>  Fri, 8 Nov 1996 06:12:18 -0800

debmake (1.91) unstable; urgency=low

  * suidwrappers will be disabled on installation/upgrade. Instructions are
    provided on how to use these wrappers from sudo, super or directly in
    README.debian.

 -- Christoph Lameter <clameter@waterf.org>  Thu, 7 Nov 1996 13:39:50 -0800

debmake (1.90) unstable; urgency=low

  * depend on dpkg and dpkg-dev
  * debmstd: New command for experimental support of multi-binary packages
    (debmstd will replace debstd when tested and found stable)
  * debmake: Generates templates for multi-binary packages
  * release: improved handling of files for multi-binary support
  * Example setup for multi-binary support included (mgetty)

 -- Christoph Lameter <clameter@waterf.org>  Wed, 6 Nov 1996 10:06:41 -0800

debmake (1.23) unstable; urgency=low

  * release: add an option "announce" to manually specify that
    debian/control should be posted.
  * bug in release: Announcement generated for releases

 -- Christoph Lameter <clameter@waterf.org>  Tue, 5 Nov 1996 10:54:34 -0800

debmake (1.22) unstable; urgency=low

  * New directive in init scripts: NO_RESTART_ON_UPGRADE
  * Location of check for conffiles moved in debstd

 -- Christoph Lameter <clameter@waterf.org>  Tue, 5 Nov 1996 06:26:27 -0800

debmake (1.21) unstable; urgency=low

  * control prototype: standards made current
  * rules prototype chmod changed (Brian C. White)

 -- Christoph Lameter <clameter@waterf.org>  Mon, 4 Nov 1996 09:13:54 -0800

debmake (1.20) unstable; urgency=low

  * debclean: can be called as a regular user
  * build: Added clean option

 -- Christoph Lameter <clameter@waterf.org>  Mon, 4 Nov 1996 05:42:37 -0800

debmake (1.19) unstable; urgency=low

  * build: Fixed behavior in case invoked in the wrong directory
  * debstd: Build /usr/doc/package/buildinfo.Debian with information
    regarding the system it was build on. (Chris Fearnley)
  * rules prototype revised
  * Removed junk from changelog prototype

 -- Christoph Lameter <clameter@waterf.org>  Sun, 3 Nov 1996 16:54:09 -0800

debmake (1.18) unstable; urgency=low

  * debc does both dpkg -I and dpkg -c

 -- Christoph Lameter <clameter@waterf.org>  Sun, 3 Nov 1996 16:04:35 -0800

debmake (1.17) unstable; urgency=low

  * deb-make + alien: Username lookup now possible via NIS

 -- Christoph Lameter <clameter@waterf.org>  Sat, 2 Nov 1996 17:29:14 -0800

debmake (1.16) unstable; urgency=low

  * Some fixes to README.debian
  * Fixed bugs in the way debian/changelog is located in debi,debc,release

 -- Christoph Lameter <clameter@waterf.org>  Sat, 2 Nov 1996 09:52:59 -0800

debmake (1.15) unstable; urgency=low

  * New: "debi" installs generated .deb file (convenience script)
  * New: "debc" views contents of generated .deb file (convenience script)
  * Typical developmental cycle documented in README.debian
  * release: print scp error message and the e-mail address the announcement goes to

 -- Christoph Lameter <clameter@waterf.org>  Sat, 2 Nov 1996 08:48:25 -0800

debmake (1.14) unstable; urgency=low

  * New: "build" a suid wrapper for dpkg-buildpackage and "debian/rules binary"
  * New: "debpkg" a suid wrapper for dpkg.
  * debmake includes C code now and thus is architecture dependent
  * Suid wrappers accessible for users of group "root" only.
  * Complete development cycle possible from a regular account without
    having to "su".
  * Added check for the presence of ssh to "release" before trying
    do to an upload to master.
  * bug: filters comments and empty lines out of conffiles so that the
    included conffiles are not that long anymore.

 -- Christoph Lameter <clameter@waterf.org>  Sat, 2 Nov 1996 06:27:15 -0800

debmake (1.13) unstable; urgency=low

  * Bug in release: Announce to wrong mailing list+ Bruces suggestions

 -- Christoph Lameter <clameter@waterf.org>  Fri, 1 Nov 1996 15:54:08 -0800

debmake (1.12) unstable; urgency=low

  * debchange: RELEASED file not erased
  * More errorchecking in release
  * Removed creation of /etc from prototype
  * Updated docs

 -- Christoph Lameter <clameter@waterf.org>  Fri, 1 Nov 1996 11:21:24 -0800

debmake (1.11) unstable; urgency=low

  * release script was not included

 -- Christoph Lameter <clameter@waterf.org>  Fri, 1 Nov 1996 11:15:23 -0800

debmake (1.10) unstable; urgency=low

  * Added a new tool "release" which will upload to master announce changes
    and record the fact that a release has been done in debian/RELEASED.
  * debchange: Generate a new release without specifically told so if
    the software has been released and a debian/RELEASED file is present.
  * debmake now takes the "Did I already upload this or not?" worry from you.
    and manages releases on its own.

 -- Christoph Lameter <clameter@waterf.org>  Fri, 1 Nov 1996 11:03:53 -0800

debmake (1.09) unstable; urgency=low

  * bug tool reworked: It now automatically includes Debian Version, Kernel
    version, a list of the version numbers of packages this package depends
    on and includes all modified conffiles.

 -- Christoph Lameter <clameter@waterf.org>  Fri, 1 Nov 1996 09:58:11 -0800

debmake (1.08) unstable; urgency=low

  * Bug in etc.postrm
  * Made sure that documentation is installed mode 644 owned by root.
  * Updated Docs

 -- Christoph Lameter <clameter@waterf.org>  Thu, 31 Oct 1996 15:06:22 -0800

debmake (1.07) unstable; urgency=low

  * check for EDITOR environment variable
  * debstd warn on /etc files not in conffiles and conffiles not
    provided in /etc and on having files in /etc but no conffile (Bruce)
  * exceptions for library dependencies possible

 -- Christoph Lameter <clameter@waterf.org>  Thu, 31 Oct 1996 10:32:26 -0800

debmake (1.06) unstable; urgency=low

  * structure of alien .orig file changes to be more or less conformant with
    the way source .orig files are done. Diffs better readable now and the
    customization includes the generators e-mail and name into the control
    files.

 -- Christoph Lameter <clameter@waterf.org>  Thu, 31 Oct 1996 06:08:50 -0800

debmake (1.05) unstable; urgency=low

  * rpminstall, tgzinstall replaced by alien command
  * alien structure allows moving around of binaries and patching them
    in debian/rules.
  * alien command needs testing and some real life experiences

 -- Christoph Lameter <clameter@waterf.org>  Wed, 30 Oct 1996 21:43:35 -0800

debmake (1.04) unstable; urgency=low

  * bug in generation of modifications for files in /etc

 -- Christoph Lameter <clameter@waterf.org>  Wed, 30 Oct 1996 17:46:35 -0800

debmake (1.03) unstable; urgency=low

  * debchange: no output in batch mode anymore
  * rpminstall, tgzinstall: -d option switches of calling debian/rules binary
  * debstd bug when giving the -m option.
  * On Bruces advice: advanced stripping of all binaries

 -- Christoph Lameter <clameter@waterf.org>  Wed, 30 Oct 1996 08:02:30 -0800

debmake (1.02) unstable; urgency=low

  * Revised description in control
  * If the package provides libraries those are detected, appropriate
    information is generated for dpkg in "DEBIAN/shlibs" and a call to ldconfig
    is placed into the automatically generated postinst script.

 -- Christoph Lameter <clameter@waterf.org>  Mon, 28 Oct 1996 09:23:05 -0800

debmake (1.01) unstable; urgency=low

  * new command tgzinstall: Converts / installs a Slackware .tgz package
    with dpkg using the same technique as rpminstall.
  * rpminstall: diverse fixes
  * Bug: debmake installed X11 manpages twice and did not compress them
  * rpminstall generated .deb not erased

 -- Christoph Lameter <clameter@waterf.org>  Sun, 27 Oct 1996 14:20:25 -0800

debmake (1.00) unstable; urgency=low

  * rpminstall : convert a package to debian (semi)sourcepackage, build it
    and install with dpkg. Does not do installation scripts right now.
    I was able to install gated like a debian package.
  * rpminstall enables a direct installation of Red Hat packages into the
    debian package maintenance system! All dpkg commands will work on it!
  * rpminstall uses debstd and thus compresses manpages + documentation and
    computes dependencies according to the libraries referenced by the
    ELF binaries in the Red Hat package.

 -- Christoph Lameter <clameter@waterf.org>  Sun, 27 Oct 1996 12:17:51 -0800

debmake (0.99) unstable; urgency=low

  * debstd gives message for unstripped binaries and strips them

 -- Christoph Lameter <clameter@waterf.org>  Sat, 26 Oct 1996 19:20:58 -0700

debmake (0.98) unstable; urgency=low

  * New command bug to assist in sending bug reports
  * debchange: added batch mode f.e. : dch -n Bug fixed
    reults in generating a new release number and putting "bug fixed" in
    the correct place in changelog

 -- Christoph Lameter <clameter@waterf.org>  Sat, 26 Oct 1996 09:42:00 -0700

debmake (0.97) unstable; urgency=low

  * Example file for inetd.conf configuration provided
  * Recognize package names with a -
  * Manpages reworked. Manpage for debclean added

 -- Christoph Lameter <clameter@waterf.org>  Fri, 25 Oct 1996 09:37:17 -0700

debmake (0.96) unstable; urgency=low

  * debstd seaches for all executable binaries in package and runs
    dpkg-shlibdeps on all ELF binaries. No need to separately run
    dpkg-shlibdeps anymore.

 -- Christoph Lameter <clameter@waterf.org>  Thu, 24 Oct 1996 19:45:44 -0700

debmake (0.95) unstable; urgency=low

  * bugs in deb-make fixed. Checks for existing .orig archive

 -- Christoph Lameter <clameter@waterf.org>  Thu, 24 Oct 1996 14:33:07 -0700

debmake (0.94) unstable; urgency=low

  * Set executable bit on debian/rules

 -- Christoph Lameter <clameter@waterf.org>  Wed, 23 Oct 1996 17:57:51 -0700

debmake (0.93) unstable; urgency=low

  * bug in deb-make. Failed with cannot find X

 -- Christoph Lameter <clameter@waterf.org>  Wed, 23 Oct 1996 10:39:11 -0700

debmake (0.92) unstable; urgency=low

  * backup files removed
  * use /etc/mailname to figure out e-mail address

 -- Christoph Lameter <clameter@waterf.org>  Tue, 22 Oct 1996 20:06:46 -0700

debmake (0.91) unstable; urgency=low

  * inetd.conf script generation added
  * Got rid of all temp files to speed up debstd
  * Updated debstd manpage
  * Fixed diversions so that they really work.
  * Added -m option to switch of the automatic installation of manpages

 -- Christoph Lameter <clameter@waterf.org>  Tue, 22 Oct 1996 16:29:17 -0700

debmake (0.9) unstable; urgency=low

  * Generate scripts for diversions (not sure if the code is up to standard)
  * Cleanup debstd
  * 822-date instead of date used to generate the date info.
  * Ability to generate scripts to add to config files in /etc included
  * example files and documentation files can be listed in file in debian

 -- Christoph Lameter <clameter@waterf.org>  Tue, 22 Oct 1996 00:41:08 -0800

debmake (0.8) unstable; urgency=low

  * Generates maintenance scripts for info files, init.d scripts, purging of
    files.

 -- Christoph Lameter <clameter@waterf.org>  Mon, 21 Oct 1996 09:20:23 -0800

debmake (0.7) unstable; urgency=low

  * Updated documentation
  * Progress indicator
  * Some errormessages from gzip avoided
  * converts manpages just having .so <othermanpage> in it to symlinks
  * Gzipping separated for manpages (all), info (all) and docs (>4K)
    so we can easily adapt in case of future changes of policies.

 -- Christoph Lameter <clameter@waterf.org>  Sun, 20 Oct 1996 14:51:06 -0800

debmake (0.6) unstable; urgency=low

  * debmake did not install scripts in debian directory!

 -- Christoph Lameter <clameter@waterf.org>  Thu, 17 Oct 1996 06:47:16 -0800

debmake (0.5) unstable; urgency=low

  * Manpages were installed as executables
  * Display of redirected links was not correct

 -- Christoph Lameter <clameter@waterf.org>  Wed, 16 Oct 1996 22:12:56 -0800

debmake (0.4) unstable; urgency=low

  * Added automatic compression of documentation in /usr/man and /usr/doc
    if files are >1K.
  * Checks for dangling symlinks and redirects symlinks to filenames that
    were changed due to compression.
  * Added rc.boot handling
  * Permissions for documentation were set to executable when debstd was
    used.

 -- Christoph Lameter <clameter@waterf.org>  Wed, 16 Oct 1996 08:44:26 -0800

debmake (0.3) unstable; urgency=low

  * Added a perl script debchanges which does maintenance of
    debian/changelog
  * Added manpage for debchanges and an alias "dch" since it is frequently
    used.

 -- Christoph Lameter <clameter@waterf.org>  Fri, 11 Oct 1996 14:00:15 -0800

debmake (0.2) unstable; urgency=low

  * Added a native mode to have a package that does not need an .orig directory
  * Put debstd into /usr/bin so that it does not have to be included in the
    source archives.
  * Added manpages for debstd and deb-make

 -- Christoph Lameter <clameter@waterf.org>  Thu, 10 Oct 1996 13:21:48 -0800

debmake (0.1) experimental; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@waterf.org>  Thu, 10 Oct 1996 13:21:48 -0800
